List publisher domains
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/publishers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/publishers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/publishers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"publishers": [
{
"domain": "<string>",
"provenance": "declared",
"adagentsStatus": "resolved",
"authorizationStatus": "authorized",
"authorizationReason": "no_file",
"propertyCount": 4503599627370495,
"lastSyncedAt": "<string>"
}
],
"total": 4503599627370495,
"verified": 4503599627370495
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront
List publisher domains
List all publisher domains associated with the storefront (declared, crawled, and discovered), with adagents.json resolution status and authorization verdict.
GET
/
publishers
List publisher domains
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/publishers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/publishers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/publishers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"publishers": [
{
"domain": "<string>",
"provenance": "declared",
"adagentsStatus": "resolved",
"authorizationStatus": "authorized",
"authorizationReason": "no_file",
"propertyCount": 4503599627370495,
"lastSyncedAt": "<string>"
}
],
"total": 4503599627370495,
"verified": 4503599627370495
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}